/* guile-irrlicht --- GNU Guile bindings for Irrlicht Engine

   Copyright (C) 2020 Javier Sancho <jsf@jsancho.org>

   This file is part of guile-irrlicht.

   guile-irrlicht is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 3 of the
   License, or (at your option) any later version.

   guile-irrlicht is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with guile-irrlicht. If not, see
   <http://www.gnu.org/licenses/>.
*/

#include <libguile.h>
#include "animated-mesh.h"
#include "animated-mesh-scene-node.h"
#include "box3d.h"
#include "cursor-control.h"
#include "device.h"
#include "event-receiver.h"
#include "file-system.h"
#include "gui-environment.h"
#include "gui-in-out-fader.h"
#include "gui-listbox.h"
#include "gui-scrollbar.h"
#include "gui-skin.h"
#include "gui-static-text.h"
#include "gui-toolbar.h"
#include "guile-irrlicht.h"
#include "material.h"
#include "reference-counted.h"
#include "scene-manager.h"
#include "scene-node.h"
#include "timer.h"
#include "vertex3d.h"
#include "video-driver.h"


extern "C" {

  void
  init_guile_irrlicht (void)
  {
    init_animated_mesh ();
    init_animated_mesh_scene_node ();
    init_box3d ();
    init_cursor_control ();
    init_device ();
    init_event_receiver ();
    init_file_system ();
    init_gui_environment ();
    init_gui_in_out_fader ();
    init_gui_listbox ();
    init_gui_scrollbar ();
    init_gui_skin ();
    init_gui_static_text ();
    init_gui_toolbar ();
    init_material ();
    init_reference_counted ();
    init_scene_manager ();
    init_scene_node ();
    init_timer ();
    init_vertex3d ();
    init_video_driver ();
  }

}
